Daemon Power

The NetBSD Packages Collection: x11/avant-window-navigator

Brief description of the package:
Dock-like navigation bar

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://launchpad.net/awn.

Please note that this package has a gnu-lgpl-v2 license.

The package is located in the "x11/avant-window-navigator" directory. The current source version of the package is "avant-window-navigator-0.4.0nb41". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for x11/avant-window-navigator :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-xdg-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 bzr>=2.4.2 py27-expat>=0 python37>=3.7.9 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-docutils>=0 py37-expat>=0 py37-roman>=1.4 py37-setuptools-[0-9]* py37-expat-[0-9]* py27-pyrex>=0 GConf>=2.8.0.1 glib2>=2.28 pcre>=3.4nb1 pcre>=8.30nb1 meson-[0-9]* ninja-build>=1.7 re2c>=0.11.3 glib2>=2.4.0 ORBit2>=2.12.0 glib2>=2.8.0 libIDL>=0.8.3nb1 glib2>=2.64.0nb1 libIDL>=0.8.14nb5 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 xmlcatmgr>=2.0beta1 perl>=5.0 libxml2>=2.6.2 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.34nb2 x11-links>=1.31 osabi-NetBSD-9.0_STABLE dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 ORBit2>=2.14.19nb5 dbus-glib>=0.74 dbus-glib>=0.110nb1 vala>=0.48 glib2>=2.48.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 lua53>=5.3.0<5.4 tk>=8.5.7 libXScrnSaver>=1.1.2 xorgproto>=2016.1 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xft2>=2.1nb2 tcl>=8.5.7 sqlite3>=3.30.1.2 sqlite3>=3.0.8 sqlite3>=3.32.1nb1 Xft2>=2.1.7nb8 tcl>=8.6.1nb1 perl>=5.32.0 perl<5.34.0 pango>=1.6.0 Xft2>=2.1.7nb3 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.60 harfbuzz>=2.7.2 icu>=3.4 graphite2>=1.2 icu>=67.1 gtk-doc>=1.18 docbook-xml>=4.4nb1 docbook-xsl>=1.68.1 py37-anytree-[0-9]* py37-six>=1.9.0 py37-lxml-[0-9]* libxml2>=2.9.2 libxslt>=1.1.27 py37-pygments-[0-9]* pkgconf-[0-9]* itstool-[0-9]* py37-libxml2-[0-9]* libxml2>=2.9.10 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-expat-[0-9]* py27-libxml2>=2.6.8 py27-libxml2>=2.6.27 libxslt>=1.1.34 docbook-xml>=4.5 bash-[0-9]* libxml2>=2.6.12 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gtk-doc>=1.32nb2 gobject-introspection>=1.62.0nb1 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 xcb-proto>=1.4 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0nb2 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb5 gts>=0.7.6 netpbm>=10.11.6 netpbm>=10.35.80nb6 gd>=2.3.0nb1 tk>=8.6.10nb1 libltdl>=2.2.6 pango>=1.44.7nb3 gts>=0.7.6nb1 swig>=1.3.24<2.0 swig>=1.3.31<2.0 graphviz>=2.44.1nb1 libxslt-[0-9]* libwnck>=2.20.0 startup-notification>=0.5 xcb-util>=0.3.9 gperf>=3.0.1 gtk2+>=2.6.0 shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.38.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 xcursor>=1.1.1 libXdamage>=1.0.3 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 cairo>=1.6.0 atk>=2.33.3nb1 gdk-pixbuf2>=2.40.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 gobject-introspection>=0.9.3 gtk2+>=2.4.0 libXres>=1.0.0 startup-notification>=0.12nb2 gtk2+>=2.24.32nb15 py27-dbus>=0.23.4 dbus>=1.6 dbus-python-common>=1.1.1 dbus>=1.0 py27-cairo>=1.10.0 py27-setuptools-[0-9]* cairo>=1.13.1 py27-gtk2>=2.8.4 libglade>=2.3.6 atk>=1.9.0 glib2>=2.6.0 gtk2+>=2.16.0 py27-gobject>=2.15.3 py37-cairo-[0-9]* py-gobject-shared>=2.28.7 gobject-introspection>=0.9.5 py-gobject-shared>=2.10.1 py-gobject-shared>=2.28.7nb4 py27-gobject>=2.10.1nb1 libglade>=2.6.4nb35 py27-cairo>=1.18.2nb1 py27-gobject>=2.28.7nb2 libdesktop-agnostic>=0.3.92 vala>=0.48.7nb1 GConf>=3.2.3nb5 libgtop>=2.14.0 desktop-file-utils>=0.8 hicolor-icon-theme>=0.4 gnome-icon-theme>=2.8.0 icon-naming-utils>=0.8.90 p5-XML-Simple>=2.14 p5-XML-SAX-[0-9]* p5-XML-NamespaceSupport>=0.03 p5-XML-SAX-Base>=1.08 p5-XML-SAX-Expat-[0-9]* p5-XML-SAX>=0.03 p5-XML-Parser>=2.27 p5-XML-Parser-[0-9]* p5-XML-NamespaceSupport>=1.04 icon-naming-utils>=0.8.7 libwnck>=2.30.7nb1 py27-dbus>=1.2.16nb1 py27-gtk2>=2.24.0nb34 libdesktop-agnostic>=0.3.92nb39 libgtop>=2.28.4nb17 desktop-file-utils>=0.10nb1 hicolor-icon-theme>=0.9nb1 gnome-icon-theme>=3.12.0nb6 .

This package requires the following package(s) to run: py27-xdg-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python37>=3.7.0 bzr>=2.4.2 py27-expat>=0 python37>=3.7.9 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 GConf>=2.8.0.1 glib2>=2.28 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.4.0 ORBit2>=2.12.0 glib2>=2.8.0 libIDL>=0.8.3nb1 glib2>=2.64.0nb1 libIDL>=0.8.14nb5 dbus>=0.91 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 ORBit2>=2.14.19nb5 dbus-glib>=0.74 dbus-glib>=0.110nb1 libxml2>=2.9.10nb2 vala>=0.48 glib2>=2.48.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 perl>=5.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 lua53>=5.3.0<5.4 tk>=8.5.7 libXScrnSaver>=1.1.2 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xft2>=2.1nb2 tcl>=8.5.7 sqlite3>=3.30.1.2 sqlite3>=3.0.8 sqlite3>=3.32.1nb1 Xft2>=2.1.7nb8 tcl>=8.6.1nb1 perl>=5.32.0 perl<5.34.0 pango>=1.6.0 Xft2>=2.1.7nb3 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.60 harfbuzz>=2.7.2 icu>=3.4 graphite2>=1.2 icu>=67.1 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0nb2 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb5 gts>=0.7.6 netpbm>=10.11.6 netpbm>=10.35.80nb6 gd>=2.3.0nb1 tk>=8.6.10nb1 libltdl>=2.2.6 pango>=1.44.7nb3 gts>=0.7.6nb1 graphviz>=2.44.1nb1 libwnck>=2.20.0 startup-notification>=0.5 xcb-util>=0.3.9 gtk2+>=2.6.0 py27-expat-[0-9]* shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.38.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 xcursor>=1.1.1 libXdamage>=1.0.3 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 cairo>=1.6.0 atk>=2.33.3nb1 gdk-pixbuf2>=2.40.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 gtk2+>=2.4.0 libXres>=1.0.0 startup-notification>=0.12nb2 gtk2+>=2.24.32nb15 py27-dbus>=0.23.4 py37-expat-[0-9]* dbus>=1.6 py27-cairo>=1.10.0 py27-setuptools-[0-9]* cairo>=1.13.1 py27-gtk2>=2.8.4 libglade>=2.3.6 atk>=1.9.0 glib2>=2.6.0 gtk2+>=2.16.0 py27-gobject>=2.15.3 py37-cairo-[0-9]* py37-setuptools-[0-9]* py27-gobject>=2.10.1nb1 libglade>=2.6.4nb35 py27-cairo>=1.18.2nb1 py27-gobject>=2.28.7nb2 libdesktop-agnostic>=0.3.92 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 vala>=0.48.7nb1 GConf>=3.2.3nb5 gobject-introspection>=1.62.0nb1 libgtop>=2.14.0 osabi-NetBSD-9.0_STABLE desktop-file-utils>=0.8 hicolor-icon-theme>=0.4 gnome-icon-theme>=2.8.0 libwnck>=2.30.7nb1 py27-dbus>=1.2.16nb1 py27-gtk2>=2.24.0nb34 libdesktop-agnostic>=0.3.92nb39 libgtop>=2.28.4nb17 desktop-file-utils>=0.10nb1 hicolor-icon-theme>=0.9nb1 gnome-icon-theme>=3.12.0nb6 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
aarch64:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
aarch64:avant-window-navigator-0.4.0nb39.tgz(NetBSD 9.0)
alpha:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
earmv6hf:avant-window-navigator-0.4.0nb36.tgz(NetBSD 8.0)
earmv6hf:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
earmv6hf:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
earmv7hf:avant-window-navigator-0.4.0nb40.tgz(NetBSD 8.0)
earmv7hf:avant-window-navigator-0.4.0nb36.tgz(NetBSD 8.0)
earmv7hf:avant-window-navigator-0.4.0nb39.tgz(NetBSD 8.0)
earmv7hf:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
earmv7hf:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
earmv7hf:avant-window-navigator-0.4.0nb39.tgz(NetBSD 9.0)
i386:avant-window-navigator-0.4.0nb39.tgz(NetBSD 9.0)
i386:avant-window-navigator-0.4.0nb36.tgz(NetBSD 7.0)
i386:avant-window-navigator-0.4.0nb36.tgz(NetBSD 7.1)
i386:avant-window-navigator-0.4.0nb39.tgz(NetBSD 7.1)
i386:avant-window-navigator-0.4.0nb40.tgz(NetBSD 8.0)
i386:avant-window-navigator-0.4.0nb36.tgz(NetBSD 8.0)
i386:avant-window-navigator-0.4.0nb39.tgz(NetBSD 8.0)
i386:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
i386:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
i386:avant-window-navigator-0.4.0nb39.tgz(NetBSD 9.0)
mips64eb:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
sparc64:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb39.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb36.tgz(NetBSD 7.0)
x86_64:avant-window-navigator-0.4.0nb36.tgz(NetBSD 7.1)
x86_64:avant-window-navigator-0.4.0nb39.tgz(NetBSD 7.1)
x86_64:avant-window-navigator-0.4.0nb39.tgz(NetBSD 8.0)
x86_64:avant-window-navigator-0.4.0nb35.tgz(NetBSD 8.0)
x86_64:avant-window-navigator-0.4.0nb36.tgz(NetBSD 8.0)
x86_64:avant-window-navigator-0.4.0nb40.tgz(NetBSD 8.0)
x86_64:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb36.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb39.tgz(NetBSD 9.0)
x86_64:avant-window-navigator-0.4.0nb40.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]